PowerPoint7GraphInternal::FrameGroup Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
PowerPoint7GraphInternal::FrameGroup Struct Referencefinal

Internal: a group of a PowerPoint7Graph. More...

Inheritance diagram for PowerPoint7GraphInternal::FrameGroup:

## Public Member Functions
| FrameGroup ()
| constructor More...
| ~FrameGroup () final
| destructor More...
void | getTextZoneList (std::vector< int > &textIdList) const final
| try to update the list of text sub zone More...
Public Member Functions inherited from PowerPoint7GraphInternal::Frame
| Frame (Type type=Unknown)
| constructor More...
virtual | ~Frame ()
| destructor More...
virtual void | getTextZoneList (std::vector< int > &textIdList) const
| try to update the list of text sub zone More...

## Public Attributes
std::vector< std::shared_ptr< Frame > > | m_child
| the child More...
Public Attributes inherited from PowerPoint7GraphInternal::Frame
enum Type | m_type
| the type: More...
int | m_subType
| the sub type More...
MWAWBox2i | m_dimension
| the dimension More...
float | m_rotation
| the rotation More...
bool | m_flip [2]
| the flip flags: horizontal and vertical More...
MWAWGraphicStyle | m_style
| the style More...
int | m_pictureId
| the picture id(if positif) More...
int | m_textId
| the text id(if positif) More...
bool | m_isBackground
| a flag to know if this is the slide's background More...
bool | m_isSent
| flag to know if a frame is sent More...

## Additional Inherited Members
Public Types inherited from PowerPoint7GraphInternal::Frame
enum | Type { Arc , Line , Group , Placeholder , Polygon , Rect , Unknown }
| the frame type More...

## Detailed Description

Internal: a group of a PowerPoint7Graph.

## Constructor & Destructor Documentation

## ◆ FrameGroup()

PowerPoint7GraphInternal::FrameGroup::FrameGroup | ( |  | ) |
| inline

constructor

## ◆ ~FrameGroup()

PowerPoint7GraphInternal::FrameGroup::~FrameGroup | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getTextZoneList()

void PowerPoint7GraphInternal::FrameGroup::getTextZoneList | ( | std::vector< int > & | textIdList | ) | const
| inlinefinalvirtual

try to update the list of text sub zone

Reimplemented from PowerPoint7GraphInternal::Frame.

Referenced by getTextZoneList().

## Member Data Documentation

## ◆ m_child

std::vector<std::shared_ptr<Frame> > PowerPoint7GraphInternal::FrameGroup::m_child

the child

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx